Question:) Is my AFPD or aerofy5 still running under newer OS-X versions?

 

Answer: The Aerofly Professional Deluxe has been replaced by the aerofly5 in 2007. Since 2014 and the aeroflyRC7  the mac versions are only available  at the AppleApp Store. This entails numerous advantages for you like easy licensing by your iTunes account.

The latest developments by Apples OS-X has shown that IPACS as a a software developer can´t ensure that former flight simulators (Aerofly Professional Deluxe and aerofly5) are still running under the newer operating systems. The Aerofly Professional Deluxe was supported up to OS-X 10.7, the aerofly5 up to OS X 10.8. 

Because of the numerous differences among any single case a general assistance is not possible. We recommend an upgrade to aeroflyRC7. Original IKARUS USB Game Commander or original IKARUS USB interfaces can still be used. aerofly5 users can buy a discounted upgrade to the aeroflyRC7 ULTIMATE.